osl::misc::BinaryElementReader< T >::State Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
osl::misc::BinaryElementReader< T >::State Struct Reference

## Public Member Functions
| State (std::istream &is)
bool | hasNext ()
T | read ()
void | tryRead ()

## Public Attributes
BinaryReader< T > | reader
std::vector< T > | data
size_t | cur
bool | failed

## Detailed Description

### template<class T>
struct osl::misc::BinaryElementReader< T >::State

Definition at line 102 of file binaryIO.cc.

## Constructor & Destructor Documentation

template<class T >

osl::misc::BinaryElementReader< T >::State::State | ( | std::istream & | is) |  |
| inlineexplicit

Definition at line 108 of file binaryIO.cc.

## Member Function Documentation

template<class T >

bool osl::misc::BinaryElementReader< T >::State::hasNext | ( | ) |  |
| inline

Definition at line 111 of file binaryIO.cc.

template<class T >

T osl::misc::BinaryElementReader< T >::State::read | ( | ) |  |
| inline

Definition at line 116 of file binaryIO.cc.

template<class T >

void osl::misc::BinaryElementReader< T >::State::tryRead | ( | ) |  |
| inline

Definition at line 122 of file binaryIO.cc.

References osl::OslConfig::verbose().

## Member Data Documentation

template<class T >

size_t osl::misc::BinaryElementReader< T >::State::cur

Definition at line 106 of file binaryIO.cc.

template<class T >

std::vector<T> osl::misc::BinaryElementReader< T >::State::data

Definition at line 105 of file binaryIO.cc.

template<class T >

bool osl::misc::BinaryElementReader< T >::State::failed

Definition at line 107 of file binaryIO.cc.

template<class T >

BinaryReader<T> osl::misc::BinaryElementReader< T >::State::reader

Definition at line 104 of file binaryIO.cc.

The documentation for this struct was generated from the following file:

- binaryIO.cc